org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure

## Class PDAttributeObject

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper
  - - org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDAttributeObject

All Implemented Interfaces:
  COSObjectable

Direct Known Subclasses:
  PDDefaultAttributeObject, PDStandardAttributeObject, PDUserAttributeObject

    public abstract class PDAttributeObject
    extends PDDictionaryWrapper

An attribute object.

Author:
  Johannes Koch

### Constructor Summary

Constructors
Constructor and Description
`PDAttributeObject()` Default constructor.
`PDAttributeObject(COSDictionary dictionary)` Creates a new attribute object with a given dictionary.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static String` `arrayToString(float[] array)` Creates a String representation of a float array.
`protected static String` `arrayToString(Object[] array)` Creates a String representation of an Object array.
`static PDAttributeObject` `create(COSDictionary dictionary)` Creates an attribute object.
`String` `getOwner()` Returns the owner of the attributes.
`boolean` `isEmpty()` Detects whether there are no properties in the attribute object.
`protected void` `notifyChanged()` Notifies the attribute object change listeners about a change in this attribute object.
`protected void` `potentiallyNotifyChanged(COSBase oldBase, COSBase newBase)` Notifies the attribute object change listeners if the attribute is changed.
`protected void` `setOwner(String owner)` Sets the owner of the attributes.
`protected void` `setStructureElement(PDStructureElement structureElement)` Sets the structure element.
`String` `toString()`

### Methods inherited from class org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper

`equals, getCOSObject, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDAttributeObject

    public PDAttributeObject()

Default constructor.

#### PDAttributeObject

    public PDAttributeObject(COSDictionary dictionary)

Creates a new attribute object with a given dictionary.

Parameters:
  `dictionary` - the dictionary

### Method Detail

#### create

    public static PDAttributeObject create(COSDictionary dictionary)

Creates an attribute object.

Parameters:
  `dictionary` - the dictionary
Returns:
  the attribute object

#### setStructureElement

    protected void setStructureElement(PDStructureElement structureElement)

Sets the structure element.

Parameters:
  `structureElement` - the structure element

#### getOwner

    public String getOwner()

Returns the owner of the attributes.

Returns:
  the owner of the attributes

#### setOwner

    protected void setOwner(String owner)

Sets the owner of the attributes.

Parameters:
  `owner` - the owner of the attributes

#### isEmpty

    public boolean isEmpty()

Detects whether there are no properties in the attribute object.

Returns:
  `true` if the attribute object is empty, `false` otherwise

#### potentiallyNotifyChanged

    protected void potentiallyNotifyChanged(COSBase oldBase,
                                            COSBase newBase)

Notifies the attribute object change listeners if the attribute is changed.

Parameters:
  `oldBase` - old value
  `newBase` - new value

#### notifyChanged

    protected void notifyChanged()

Notifies the attribute object change listeners about a change in this attribute object.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### arrayToString

    protected static String arrayToString(Object[] array)

Creates a String representation of an Object array.

Parameters:
  `array` - the Object array
Returns:
  the String representation

#### arrayToString

    protected static String arrayToString(float[] array)

Creates a String representation of a float array.

Parameters:
  `array` - the float array
Returns:
  the String representation